Subject: Re: [PATCH v6 5/6] doc/netlink: nftables: Add getcompat operation

From: Florian Westphal <[email-masked]>
Date: Tue, 27 Jan 2026 15:10:43 +0100

Remy D. Farley <[email-masked]> wrote:
> > And perhaps mention that this is only for iptables-nft in the yaml file too.
> > (nft uses it on 'nft list' only if it encounters a rule added by iptables-nft).
> 
> Do you mean to still add getcompat operation to spec in the kernel tree?
> In case I misrepresented it, netlink-bindings is not a kernel project. And
> AFACT, this issue isn't relevant for ynl C library, as it would only try to
> decodes messages from operations you sent.

Oh, indeed, I misunderstood.  In that case I think its better to not add
it to the yaml spec.